#include <stdlib.h>
#include <stdio.h>
#include <sys/socket.h>
#include <sys/un.h>

int main() {

  int fd;
  char* sock_path = "socket";
  struct sockaddr_un addr;
  
  fd = socket(AF_UNIX, SOCK_STREAM, 0);
  if(fd < 0)
  {
    printf("Failed to create socket!\n");
    exit(1);
  }
 
  memset(&addr, 0, sizeof(struct sockaddr_un));
  addr.sun_family = AF_UNIX;
  strncpy(addr.sun_path, sock_path, sizeof(addr.sun_path) - 1);
 
  if( connect(fd, (struct sockaddr *)&addr, sizeof(addr)) != 0)
  {
    printf("Failed to connect!\n");
    exit(1);
  }

  printf("Success!\n");

}
